#ifndef INSTRUCTORSWIDGET_H
#define INSTRUCTORSWIDGET_H

#include "instructorsview.h"

namespace Ui {
class ViewerInstructors;
}

//Виджет только для просмотра БД Инструкторов

class ViewerInstructors : public InstructorsView
{
    Q_OBJECT

public:
    explicit ViewerInstructors(ConnectorToServer* connectorToServer, QWidget *parent = nullptr);
    ~ViewerInstructors();

public:
    void setAuthComplited(bool authComplited);

    void deactivate();

protected:
    void changeEvent(QEvent * event) override;

Q_SIGNALS:
    //сигнал о блокировке авторизации
    void signal_BlockAutorization(bool block);

public Q_SLOTS:
    void on_btnEditorInstructors_clicked();

public slots:
    void on_treeWidget_itemClicked(QTreeWidgetItem *item, int column);

Q_SIGNALS:
    //сигнал о выборе инструктора
    void signal_instructorSelected(int id_instructor);

private:
    void updateButtons() override;

private:
    Ui::ViewerInstructors *ui;
};

#endif // INSTRUCTORSWIDGET_H
